import { Factory } from '../types';
import { ILifetime } from './ILifetime';
import { ServiceProvider } from '../ServiceProvider';
export declare class Singleton<T, E> implements ILifetime<T, E> {
    readonly name: string;
    readonly factory: Factory<T, E>;
    private value?;
    constructor(name: string, factory: Factory<T, E>);
    provide(provider: ServiceProvider<E>): T;
}
