declare type WantedKeys<T, E> = {
    [K in keyof E]: E[K] extends T ? K : never;
}[keyof E];
export declare type Keys<T, E> = {
    [K in WantedKeys<T, E>]: `${K & string}`;
};
export declare function properties<T, E>(provider: E): Keys<T, Required<E>>;
export {};
