"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultiDependencyError = void 0;
var types_1 = require("./types");
var MultiDependencyError = /** @class */ (function (_super) {
    __extends(MultiDependencyError, _super);
    function MultiDependencyError(errors) {
        var _this = _super.call(this, "Multiple dependency errors were detected:\n" + errors.map(function (e) { return e.message; }).join('\n')) || this;
        Object.defineProperty(_this, "type", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: types_1.DependencyErrorType.MultiError
        });
        Object.defineProperty(_this, "errors", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        _this.errors = errors;
        return _this;
    }
    return MultiDependencyError;
}(Error));
exports.MultiDependencyError = MultiDependencyError;
